Defoma Font path deprecated

Bug #986061 reported by dino99 on 2012-04-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xorg-server (Ubuntu)
Low
Unassigned

Bug Description

Got this logged:

 The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
 Entry deleted from font path.

This is related to latest fontconfig:

fontconfig (2.8.0-3ubuntu9) precise-proposed; urgency=low

  * Cherry pick from Debian experimental: Remove defoma support.
    Closes: #651493.

 -- Steve Langasek <email address hidden> Tue, 17 Apr 2012 22:28:20 -0700

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xserver-xorg 1:7.6+12ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-23.37~pre201204170400-generic-pae 3.2.15
Uname: Linux 3.2.0-23-generic-pae i686
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] est un dossier: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86 Kernel Module 295.40 Thu Apr 5 21:28:09 PDT 2012
 GCC version: gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu4)
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu5
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
Date: Fri Apr 20 10:35:48 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus:
 nvidia-current, 295.40, 3.2.0-23-generic-pae, i686: installed
 nvidia-current, 295.40, 3.3.2-030302-generic-pae, i686: installed
 vboxhost, 4.1.12, 3.2.0-23-generic-pae, i686: installed
 vboxhost, 4.1.12, 3.3.2-030302-generic-pae, i686: installed
ExtraDebuggingInterest: No
GraphicsCard:
 NVIDIA Corporation G86 [GeForce 8500 GT] [10de:0421] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:824f]
JockeyStatus: xorg:nvidia_current - Pilote d'accélération graphique NVIDIA (Propriétaire, Activé, Utilisé)
MachineType: ASUSTEK COMPUTER INC P5W DH Deluxe
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-23-generic-pae root=UUID=9e61e83e-bca9-43cf-aa90-5a68892213fa ro quiet splash vt.handoff=7 crashkernel=384M-2G:64M,2G-:128M
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/22/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 3002
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: P5W DH Deluxe
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr3002:bd07/22/2010:svnASUSTEKCOMPUTERINC:pnP5WDHDeluxe:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5WDHDeluxe:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: P5W DH Deluxe
dmi.product.version: System Version
dmi.sys.vendor: ASUSTEK COMPUTER INC
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.12.0.901+git20120406+server-1.12-branch.259aa5a6-0ubuntu0ricotz2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20120328.ab7291d3-0ubuntu0sarvatt

dino99 (9d9) wrote :
dino99 (9d9) on 2012-04-20
summary: - Fonts path deprecated
+ Defoma Font path deprecated
dino99 (9d9) on 2012-04-20
summary: - Defoma Font path deprecated
+ Defoma Font deprecated
bugbot (bugbot) on 2012-04-26
affects: xorg (Ubuntu) → xserver-xorg-video-nouveau (Ubuntu)

need to drop the path from the server build flags.

affects: xserver-xorg-video-nouveau (Ubuntu) → xorg-server (Ubuntu)
Changed in xorg-server (Ubuntu):
importance: Undecided → Low
status: New → Triaged
summary: - Defoma Font deprecated
+ Defoma Font path deprecated
summary: - Defoma Font path deprecated
+ Defoma Font path deprecated
dino99 (9d9) wrote :

That error still exist with Saucy !!!

tags: added: saucy
Timo Aaltonen (tjaalton) wrote :

good point! dropped it from git

Changed in xorg-server (Ubuntu):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.14.3-3ubuntu1

---------------
xorg-server (2:1.14.3-3ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git.
  * rrcrtc-brackets-are-hard.patch: Replace xf86-detach-scanout.patch
    with this patch from Fedora. Should fix crashers on hybrid systems
    (LP: #1210025)
  * Drop include-selection-h.patch, not needed anymore.

xorg-server (2:1.14.3-4) UNRELEASED; urgency=low

  * rules: Drop defoma support from the font path. (Closes: #689233,
    LP: #986061)

xorg-server (2:1.14.3-3) unstable; urgency=low

  * Upload to unstable.

xorg-server (2:1.14.3-2) experimental; urgency=low

  * Delete test-driver on clean.
  * Add a couple patches to fix FTBFS on hurd (closes: #720736). Thanks, Pino
    Toscano!

xorg-server (2:1.14.3-1) experimental; urgency=low

  [ Julien Cristau ]
  * Remove the Replaces: xdmx from xdmx-tools, that was before lenny. That
    change was done in the 1.10.x timeframe and then lost when moving to
    1.11.x.

  [ Michele Cane ]
  * New upstream release.
 -- Timo Aaltonen <email address hidden> Thu, 03 Oct 2013 15:30:22 +0300

Changed in xorg-server (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers